<?php
if(get_theme_mod('about_area_disable') != 'on' ){ ?>
			
<div class="about-area" id="about" data-wow-duration="1s">	
	<?php
		// width 
			$c_width = get_theme_mod('abt_c_width', 'container-fluid');

		    if ($c_width === 'container') {
			    $c_alignment = 'container';
			} elseif ($c_width === 'container-fluid') {
			    $c_alignment = 'container-fluid';
			} else {
			    $text_alignment = 'container'; // Default to 'container' if the setting is invalid
			}
		// Sub Heading Style
	    	$subheading_case = get_theme_mod('abt_subtitle_case', 'uppercase');

		    if ($subheading_case === 'uppercase') {
				$text_case = 'uppercase';
			} elseif ($subheading_case === 'lowercase') {
			    $text_case = 'lowercase';
			} elseif ($subheading_case === 'capitalize') {
			    $text_case = 'capitalize';
			} else {
			    $text_case = 'capitalize'; // Default to 'left' if the setting is invalid
			}
		// Heading Style
	    	$heading_case = get_theme_mod('abt_maintitle_case', 'capitalize');

		    if ($heading_case === 'uppercase') {
				$text_case = 'uppercase';
			} elseif ($heading_case === 'lowercase') {
			    $text_case = 'lowercase';
			} elseif ($heading_case === 'capitalize') {
			    $text_case = 'capitalize';
			} else {
			    $text_case = 'capitalize'; // Default to 'left' if the setting is invalid
			}
  	?>
	<?php
		$about_page_id = get_theme_mod('about_page');
		$about_subtitle = get_theme_mod('about_subtitl', 'about');
		$about_title = get_theme_mod('about_title', 'Our Journey & Core Values');
		$about_txt = get_theme_mod('about_txt', "We started with a simple mission — to create meaningful solutions that empower people and drive change. What began as a small team with big dreams has grown into a company built on trust, passion, and innovation.");

		$abtbtn_text = get_theme_mod('abtbtn_text', 'More About Us');
		$abtbtnlink = get_theme_mod('abtbtnlink', '#');
	?>		
	<div class="<?php echo esc_attr($c_width); ?> cf-ps">
		<div class="conbx">	
			<div class="titlebx ">
				<?php if( $about_subtitle ){ ?>
				<h3 style="text-transform: <?php echo esc_attr($subheading_case); ?>;>"><?php echo ($about_subtitle); ?></h3>
				<?php }?>
				<h2 style="text-transform: <?php echo esc_attr($heading_case); ?>;>"><?php echo ($about_title); ?></h2>	
				<p><?php echo ($about_txt); ?></p>
			</div>
		
			<?php
	          $showStatic = true;
	          for( $i = 1; $i < 9; $i++ ){
	          	//$url = get_theme_mod('abtabtd_page_url_'.$i, '#');
	            $abt_page_id = get_theme_mod('abt_page_icon'.$i); 
	            if(!empty($abt_page_id)){
	              $showStatic = false;
	              break;
	            }
	          }
	      	?>
			<div class="abtbx pd-0" data-wow-duration="1s" >		
				<div class="row mr-0">	
				<?php
					$cols = get_theme_mod('abt_npp_count', 2);
					$cols++;
								// echo '$cold: '.$cols;
					switch($cols){
						case 1:
						$colCls = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';
						break;
						case 2:	
						$colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-6';
						break;
						case 3:
						case 5:
						case 6:
						case 9:
						case 11:
						case 13:
						case 15:
						$colCls = 'col-lg-4 col-md-4 col-sm-6 col-xs-6';
						break;
						default: 
						$colCls = 'col-lg-4 col-md-4 col-sm-6 col-xs-6';
						break;
					}
					$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
				?>
							 						
		        <?php
		          for( $i = 1; $i <= $cols; $i++ ){
		            if($showStatic === false){
		            	//$url = get_theme_mod('abtabtd_page_url_'.$i, '#');
						//$abt_page_id = get_theme_mod('abt_page'.$i);
						$abt_page_title = get_theme_mod('abt_page_title'.$i, 'Collaboration');
						$abt_page_txt = get_theme_mod('abt_page_txt'.$i, 'Honesty and transparency are at the heart of everything we do.');
						$abt_title_img = get_theme_mod('abt_title_img'.$i); 
						$abt_page_icon = get_theme_mod('abt_page_icon'.$i);
						$abt_page_icon = get_theme_mod('abt_page_icon'.$i);
					if($abt_page_icon){
		              
		        ?>
			
		           	<div class="<?php echo $colCls;?> abtcon-bx ">
		                <div class="abt-single ">	                	
		            		<div class="abt-icon">
		                  		<span class="<?php echo $abt_page_icon; ?>"></span>         
		                	</div> 
		                	<div class="abt-conbx">	
	                			<div class="abt-title inner-area-title">
	                				<?php echo $abt_page_title; ?>
	                			</div>	
	                			<p><?php echo $abt_page_txt; ?></p>
		                	</div>	                	
						</div>
		              	<div class="clearfix"></div>
		          	</div>
					<?php   }
					                          
					}else{?>

					<div class="<?php echo $colCls;?> abtcon-bx ">
						<div class="abt-single ">				
							<div class="abt-icon">
								<span class="fa fa-object-group" ></span>
							</div>
							<div class="abt-conbx">
								<div class="abt-title inner-area-title">Collaboration </div>
								<p>Honesty and transparency are at the heart of everything we do.</p>			
							</div>						
						</div>
						<div class="clearfix"></div>
					</div>
		            <?php }
		          }?>
				<div class="clearfix"></div>
				</div>
			</div>	
			<!-- end -->
			<?php if( $abtbtn_text  ){ ?>	
			<div class="abt-btn">				
				<a href="<?php echo ($abtbtnlink);  ?>" >
        			<?php echo($abtbtn_text); ?> 
				</a>	
			</div>	
			<?php }?>
			
		</div>	
		<div class="clearfix"></div>
	</div>
</div>

<?php }  